# Hапишіть программу "Касир в кінотеатрі", яка буде виконувати наступне:
#
# Попросіть користувача ввести свсвій вік.
# - якщо користувачу менше 7 - вивести "Тобі ж <>! Де твої батьки?"
# - якщо користувачу менше 16 - вивести "Тобі лише <>, а це е фільм для дорослих!"
# - якщо користувачу більше 65 - вивести "Вам <>? Покажіть пенсійне посвідчення!"
# - якщо вік користувача містить 7 - вивести "Вам <>, вам пощастить"
# - у будь-якому іншому випадку - вивести "Незважаючи на те, що вам <>, білетів всеодно нема!"
#
# Замість <> в кожну відповідь підставте значення віку (цифру) та правильну форму слова рік
# Для будь-якої відповіді форма слова "рік" має відповідати значенню віку користувача (1 - рік, 22 - роки, 35 - років і тд...).
# Наприклад :
# "Тобі ж 5 років! Де твої батьки?"
# "Вам 81 рік? Покажіть пенсійне посвідчення!"
# "Незважаючи на те, що вам 42 роки, білетів всеодно нема!"
#
# Зробіть все за допомогою функцій! Не забувайте що кожна функція має виконувати тільки одне завдання і про правила написання коду.

def user_input(text):
    while True:
        try:
            age = int(input(text))
        except Exception as e:
            print(f'О, ні помилка: {type(e)}, {e}')
        else:
            break
    return age


user_age = user_input('Скільки вам років? ')


def word_correction():
    reverse_input = str(user_age)[::-1]  # робимо реверс стрінг щоб працювати із останніми двома числами
    input_to_list = list(reverse_input)  # перетворюємо int в ліст щоб працювати з індексами останніх двох чисел

    if user_age == 1:
        return "рік"
    elif int(input_to_list[0]) == 1 and int(input_to_list[1]) > int(input_to_list[0]):
        return "рік"
    elif user_age in range(2, 5):
        return "роки"
    elif (int(input_to_list[0]) == 2 or int(input_to_list[0]) == 3 or int(input_to_list[0]) == 4) and int(
            input_to_list[1]) != 1:
        return "роки"
    else:
        return "років"


def age_chooser():
    if 0 < user_age < 7:
        print(f"Тобі ж {user_age} {word_correction()}! Де твої батьки?")
    elif user_age == 7:
        print(f"Вам {user_age} {word_correction()}, вам пощастить!")
    elif 16 > user_age > 7:
        print(f"Тобі лише {user_age} {word_correction()}, а це е фільм для дорослих!")
    elif user_age > 65:
        print(f"Вам {user_age} {word_correction()}? Покажіть пенсійне посвідчення!")
    else:
        print(f"Незважаючи на те, що вам {user_age} {word_correction()}, білетів всеодно нема!")


age_chooser()
